Loading...
Searching...
No Matches
rlp.c File Reference
`#include <stdint.h>`
`#include <stddef.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <osmocom/gsm/rlp.h>`

## Macros

#define | FCS_SIZE_BYTES 3

## Functions

int | osmo_rlp_decode (struct osmo_rlp_frame_decoded *out, uint8_t version, const uint8_t *data, size_t data_len)
| decode a RLP frame into its abstract representation.
int | osmo_rlp_encode (uint8_t *out, size_t out_size, const struct osmo_rlp_frame_decoded *in)
| encode a RLP frame from its abstract representation.
uint32_t | osmo_rlp_fcs_compute (const uint8_t *in, size_t in_len)
| compute RLP FCS according to 3GPP TS 24.022 Section 4.4.

## Variables

const struct value_string | osmo_rlp_ftype_vals []
const struct value_string | osmo_rlp_ftype_u_vals []
const struct value_string | osmo_rlp_ftype_s_vals []
static const uint32_t | rlp_fcs_table [256]